Edit a Company Contact
Edit the information of a company contact.
Request URL
POST {base_url}/{api_path}/company_contact/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the company contact. Note:You can query the company contact's ID using Search Specific Company Contacts. |
| first_name | No | String | First name. |
| last_name | No | String | Last name. |
| company | No | String | Company. |
| No | String | Email address. | |
| phonebook_id_list | No | Array<Integer> | The id(s) of the phonebook to which the contact belongs.Note:
|
| organization | No | String | Department. |
| job_title | No | String | Job title. |
| position | No | String | Position. |
| industry | No | String | Industry. |
| supervisor | No | String | Supervisor. |
| remark | No | String | Remark. |
| number_list | No | Array<Number_List> | The list of company contact's numbers. |
| zip_code | No | String | ZIP code. |
| street | No | String | Street. |
| city | No | String | City. |
| state | No | String | State. |
| country | No | String | Country. |
Number_List
| Parameter | Type | Description |
|---|---|---|
| num_type | String | Number type.
|
| number | String | Telephone number. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
POST /openapi/v1.0/company_contact/update?access_token=vtkE9as9ILt8D7zd20beBzd8dL2uTcOL HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"id": 9,
"number_list": [
{
"num_type": "business_number",
"number": "5503301"
},
{
"num_type": "business_number2",
"number": "5503302"
},
{
"num_type": "other_number",
"number": "5503308"
}
]
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}